libappvectors_sources = [
  'pikaanchor.c',
  'pikabezierstroke.c',
  'pikastroke-new.c',
  'pikastroke.c',
  'pikavectors-compat.c',
  'pikavectors-export.c',
  'pikavectors-import.c',
  'pikavectors-preview.c',
  'pikavectors-warp.c',
  'pikavectors.c',
  'pikavectorsmodundo.c',
  'pikavectorspropundo.c',
  'pikavectorsundo.c',
]

libappvectors = static_library('appvectors',
  libappvectors_sources,
  include_directories: [ rootInclude, rootAppInclude, ],
  c_args: '-DG_LOG_DOMAIN="Pika-Vectors"',
  dependencies: [
    cairo, gegl, gdk_pixbuf,
  ],
)
